Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#38016 - [zathura-pdf-mupdf] [openjpeg] Dependency on non-existing package

Attached to Project: Community Packages
Opened by Trygve Aaberge (trygveaa) - Wednesday, 04 December 2013, 20:43 GMT
Last edited by Bartłomiej Piotrowski (Barthalion) - Saturday, 07 December 2013, 07:27 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Jan de Groot (JGC)
Sergej Pupykin (sergej)
Bartłomiej Piotrowski (Barthalion)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
zathura-pdf-mupdf has the dependency openjpeg2, however this package doesn't exist.

# pacman -S zathura-pdf-mupdf
resolving dependencies...
warning: cannot resolve "openjpeg2", a dependency of "zathura-pdf-mupdf"
:: The following package cannot be upgraded due to unresolvable dependencies:
zathura-pdf-mupdf

Additional info:
* zathura-pdf-mupdf version 0.2.5-3


Steps to reproduce:
# pacman -Sy
# pacman -S zathura-pdf-mupdf
This task depends upon

Closed by  Bartłomiej Piotrowski (Barthalion)
Saturday, 07 December 2013, 07:27 GMT
Reason for closing:  Fixed
Comment by Sergej Pupykin (sergej) - Wednesday, 04 December 2013, 21:43 GMT
@Bartłomiej, I've put openjpeg2 back into community. Please explain in more details why you removed it breaking zathura and suggest proper new name for this package.
Comment by Bartłomiej Piotrowski (Barthalion) - Wednesday, 04 December 2013, 21:55 GMT
Let's see…
guile 2.0.9 – guile1.8 1.8.8
python 3.3.3 – python2 2.7.6
libpng 1.6.7 – libpng12 1.2.50

Do I really need to explain anything? Please consult pushing package like that on our mailing lists, it will surely reduce the number of wtfs/minute among other Trusted Users and developers, especially when only one package required the newest release of library.
Comment by Sergej Pupykin (sergej) - Wednesday, 04 December 2013, 22:32 GMT
And what about gtk, gtk2, gtk3 ?

Ok, then please rename outdated openjpeg in extra to openjpeg1 or openjpeg15 because I have no rights to do it.
Comment by Sergej Pupykin (sergej) - Wednesday, 04 December 2013, 22:38 GMT
Btw, could you please write the rule on
https://wiki.archlinux.org/index.php/Arch_Packaging_Standards#Package_naming
because of asking on MLs for each package looks strange for me.
Comment by Trygve Aaberge (trygveaa) - Thursday, 05 December 2013, 17:48 GMT
Now openjpeg2 exists again, but zathura-pdf-mupdf has been removed?
Comment by Bartłomiej Piotrowski (Barthalion) - Thursday, 05 December 2013, 19:30 GMT
It will be back to sunday (as I don't have time during the week to rename extra/openjpeg), in the meanwhile you can fetch PKGBUILD from our SVN.
Comment by Sergej Pupykin (sergej) - Thursday, 05 December 2013, 21:33 GMT
do you plan to do the same with gtk* and wxgtk* packages? And what is the reason for removing mupdf plugin?
Comment by Sergej Pupykin (sergej) - Friday, 06 December 2013, 10:12 GMT
@Bartłomiej, I suggest you to wait for discussion finish
https://mailman.archlinux.org/pipermail/aur-general/2013-December/026336.html
Comment by Bartłomiej Piotrowski (Barthalion) - Saturday, 07 December 2013, 07:27 GMT
I guess it's not worth the noise I did – sorry about it. I'll rename packages when openjpeg2 will be used by something more than mupdf and its related projects. But now… Closing.

Loading...